<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BD519F7E-B97F-479B-9A71-254DAB9DAAF6}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>CommunityServer.Controls</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>CommunityServer.Controls</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_NoCache|AnyCPU' ">
    <OutputPath>bin\Debug_NoCache\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE;DEBUG_NOCACHE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release_Local|AnyCPU' ">
    <OutputPath>bin\Release_local\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_Local|AnyCPU' ">
    <OutputPath>bin\Debug_Local\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_NoXml|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ComponentArt.Web.UI, Version=2006.1.1104.2, Culture=neutral, PublicKeyToken=9bc9f846553156bb, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Framework2\ComponentArt.Web.UI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="MetaBuilders.WebControls.MasterPages">
      <Name>MetaBuilders.WebControls.MasterPages</Name>
      <HintPath>..\lib\MetaBuilders.WebControls.MasterPages.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Design">
      <Name>System.Design</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Windows.Forms">
      <Name>System.Windows.Forms</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <Reference Include="Telligent.Registration">
      <Name>Telligent.Registration</Name>
      <HintPath>..\lib\Telligent.Registration.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Telligent.Web.UI, Version=1.0.1.0, Culture=neutral">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Telligent.Web.UI.dll</HintPath>
    </Reference>
    <ProjectReference Include="..\Components\CommunityServerComponents20.csproj">
      <Name>CommunityServerComponents</Name>
      <Project>{A4BA7D45-2288-4690-9629-2A9C2A59DB98}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Admin\UI\Controls\RoleDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Ads\AdPart.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Ads\Ads.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyVersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseClasses\SecureTemplatedWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseClasses\SkinnedWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseClasses\TabDrivenTemplatedWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseClasses\TemplatedWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BodyTemplate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CheckmarkControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CollapseBar\CollapseBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CollapseBar\CollapseBarControlCollection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CollapseBar\CollapseBarItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CollapseBar\CollapseBarItemCollection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ContentContainer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Editor\BrowseableList.cs" />
    <Compile Include="Editor\ContentSelector.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Editor\Editor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Editor\ITextEditor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GroupAdmin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Head.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IText.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LayoutTemplate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Login.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Logout.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Message.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Navigation\NavigationBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Navigation\NavigationMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Navigation\SelectedNavigation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Navigation\tabs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Navigation\TitleBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Script.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\AdvancedSearch.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Search\Search.cs" />
    <Compile Include="Search\SearchResults.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SectionRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SendEmail.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SiteStats.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Skins\Banner.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Skins\DisplayUserWelcome.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Skins\ThemeConfig.cs" />
    <Compile Include="Skins\BaseThemeManager.cs" />
    <Compile Include="Style.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\AcceptInvitation.cs" />
    <Compile Include="User\AnonymousUserControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\BannedUser.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\ChangePassword.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\ChangePasswordAnswer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\ChangeUserName.cs" />
    <Compile Include="User\ContactPopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\CreateUser.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\DeleteUser.cs" />
    <Compile Include="User\EditProfile.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\ForgottenPassword.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\InviteUser.cs" />
    <Compile Include="User\LoginLogout.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\LoginView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\PostIcons.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\RegisteredUserControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\RoleIcons.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserAttribute.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserAvatar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserImageButtons.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserName.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserOnlineStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserProfile.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserSearch.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="User\UserSearchFilter.cs" />
    <Compile Include="Utility\AccountActivationRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\AccountStatusDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ActiveUsers.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\AddRemoveListBox.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\AdRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FeedLinkList.cs" />
    <Compile Include="Utility\AlphaPicker.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\CallbackInputHidden.cs" />
    <Compile Include="Utility\CallbackInputText.cs" />
    <Compile Include="Utility\CategoriesSortDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ClientPopulatedPopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\CollapsableArea.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ContentArticle.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ContentPart.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ContentScroller.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ContextMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FeedLink.cs" />
    <Compile Include="Utility\CreateFavorite.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\CultureInfoDropDownList.cs" />
    <Compile Include="Utility\CurrentPage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\CurrentTime.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DateFilter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DateFormatDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DatePicker.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DatePickerToggle.cs" />
    <Compile Include="Utility\DefaultButtonTextBox.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DirectoryWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DisplayLevelDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\Donut.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\DropDownRange.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\EditContent.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\EmotionsImageMap.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ExpanderPanel.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FAQ.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FavoriteLinkButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FavoritePopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FeedbackNotificationDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FilterLanguageDropDownList.cs" />
    <Compile Include="Utility\FilterUsersDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FontSizeDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\Footer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\FormLabel.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ForumRatingTypeRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\GenderRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\GenericControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\GroupSubscribeLinkButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\HelpIcon.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\Href.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\InkWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\InlineTagEditor.cs" />
    <Compile Include="Utility\InlineTextEdit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\IPagedControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ITrackedThread.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\LanguageDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ListItemHref.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ListItemLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ListItemLiteral.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\LiteralOrLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\MemberSortDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ModalButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ModerationLevelDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\Pager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\PasswordFormatDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\PasswordRecoveryRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\PollEditor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\PostsSortDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\PropertyFilterDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\QueryStringExists.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\QuestionsDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\RatingControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\RepeaterPlusNone.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\RequiredCheckBoxValidator.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ResourceButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ResourceControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ResourceLabel.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ResourceLinkButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ResourceLiteral.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\RssButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\SectionSubscribeLinkButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ServerPopulatedPopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\SinglePager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\SortOrderDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\SpacerImage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\StatusMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\TagBreadCrumb.cs" />
    <Compile Include="Utility\TagBrowser.cs" />
    <Compile Include="Utility\TagCloud.cs" />
    <Compile Include="Utility\TagEditor.cs" />
    <Compile Include="Utility\TagPostResults.cs" />
    <Compile Include="Utility\TagSelector.cs" />
    <Compile Include="Utility\TemplateDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThemedImage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThemedImageButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThemeDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThreadSubscribeCheckBox.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThreadSubscribeLinkButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ThreePanelResizeableControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\TimeFormatDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\TimezoneDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\Title.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\TitleHeader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\TrackbackMarkUp.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\UnStyledCalendar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\UploadAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\UserActivityDisplayRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\UserBanDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\UserBanReasonDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\YesNoRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="WhoIsOnline.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="WhoIsOnlineScroller.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>